using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    class SoldierTower: Tower
    {
        public SoldierTower(Vec2f position, float angle, List<List<Sprite>> sprites) : 
            base(position, angle, sprites) 
        { }


        protected override void SetParams()
        {
            w1Radius = 40;
            w2Radius = 30;

            int weapon1 = GameManager.MainRandom.Next(4);
            int weapon2 = GameManager.MainRandom.Next(4);

            towerSprite = new SoldierTowerSprite(3, 0);

            if (weapon1 < 3)
            {
                w1 = new SmallCannon(this.position + normal.Rotate(Math.PI / 2) * 40, normal, true, true);
                w1Radius = 40;
            }
            else
            {
                w1 = new Shotgun(this.position + normal.Rotate(Math.PI / 2) * 40, normal, true, true);
                w1Radius = 30;
            }

            if (weapon2 < 3)
            {
                w2 = new SmallCannon(this.position + normal.Rotate(Math.PI / 2) * 40, normal, false, true);
                w1Radius = 40;
            }
            else
            {
                w2 = new Shotgun(this.position + normal.Rotate(Math.PI / 2) * 40, normal, false, true);
                w1Radius = 30;
            }

            health = 20;
        }
    }
}
